Subject: Re: bug#46179: Tweak to man page

From: Jim Meyering <[email-masked]>
Date: Sun, 31 Jan 2021 09:33:37 -0800

On Fri, Jan 29, 2021 at 11:51 AM Robert Bruntz <[email-masked]> wrote:
>   I would like to recommend a minor tweak to the man page for GNU grep.
> (The version I'm looking at is 2.20, but I doubt that matters.)
>   I would recommend changing the description of the -l and -L options from
> this:
> The scanning will stop on the first match.
>   to something like this:
> The scanning of a file will stop on the first match.
>   The reason for this is that the first version is ambiguous, in that it
> could be read as the grep command itself will stop at the first match, thus
> printing only the name of the first file that matches (-l) or doesn't match
> (-L), rather than the scanning of each file will stop on the first match
> and start again on the next file.

Thanks for the report. That has highlighted the fact that the sentence
in question doesn't even make sense for -L, so I've deleted it. Note
that for the -l option, this was documented properly in grep.texi (the
primary documentation -- you can read via "info grep"), but I've
tweaked the wording there slightly and propagated that wording to the
man page.

I'll push the attached later today.